> For the complete documentation index, see [llms.txt](https://docs.bbchain.com.br/bbchain-ebs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbchain.com.br/bbchain-ebs/bbchain-ebs-pt/para-desenvolvedores/api-reference/network-management/network/ptah-identity-api-controller.md).

# Ptah Identity Api Controller

## GET /v3/identities

> Get the Ptah Identity List

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/identities":{"get":{"tags":["ptah-identity-api-controller"],"summary":"Get the Ptah Identity List","operationId":"getPtahIdentities","parameters":[{"name":"networkId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"tenantId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"customerId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"orderBy","in":"query","description":"Filters","required":false,"schema":{"enum":["updated_at","created_at","name","network_id","network_name","id","status"]}},{"name":"sortDirection","in":"query","description":"Filters","required":false,"schema":{"enum":["ASC","DESC"]}},{"name":"status","in":"query","description":"Filters","required":false,"schema":{"type":"string"}},{"name":"governanceId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"governedBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"integrationId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"integratedBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{}},{"name":"pageSize","in":"query","required":false,"schema":{}}],"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahIdentityPageDTO"}}}}}}}},"components":{"schemas":{"PtahIdentityPageDTO":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PtahIdentityPageItemDTO"}},"metadata":{"$ref":"#/components/schemas/PageMetadata"}},"required":["data","metadata"]},"PtahIdentityPageItemDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"expectedStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"nodeCount":{"type":"integer","format":"int64"},"executorCount":{"type":"integer","format":"int64"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","executorCount","expectedStatus","governedBy","id","identifier","integratedBy","name","nodeCount","organization","tenant"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PageMetadata":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalItems":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}}}}}
```

## POST /v3/identities

> Create PtahIdentity. A node and an executor will be created automatically with names based on this identity.

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/identities":{"post":{"tags":["ptah-identity-api-controller"],"summary":"Create PtahIdentity. A node and an executor will be created automatically with names based on this identity.","operationId":"createPtahIdentity","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EbsComponentCreateRequest"}}},"required":true},"responses":{"201":{"description":"Identity created created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahIdentityDTO"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}},"components":{"schemas":{"EbsComponentCreateRequest":{"type":"object","properties":{"name":{"type":"string","description":"User Friendly Name"},"network":{"type":"integer","format":"int64"},"tenant":{"type":"integer","format":"int64"},"organization":{"type":"integer","format":"int64"}},"required":["name","network","organization","tenant"]},"PtahIdentityDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}}}
```

## GET /v3/identities/{id}

> Get the Ptah Identity By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/identities/{id}":{"get":{"tags":["ptah-identity-api-controller"],"summary":"Get the Ptah Identity By Id","operationId":"getPtahIdentityById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahIdentityDTO"}}}}}}}},"components":{"schemas":{"PtahIdentityDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]}}}}
```

## DELETE /v3/identities/{id}

> Delete the Identity By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/identities/{id}":{"delete":{"tags":["ptah-identity-api-controller"],"summary":"Delete the Identity By Id","operationId":"deletePtahIdentityById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful Request","content":{}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}},"components":{"schemas":{"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}}}
```

## PATCH /v3/identities/{id}

> Patch the Ptah Identity By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/identities/{id}":{"patch":{"tags":["ptah-identity-api-controller"],"summary":"Patch the Ptah Identity By Id","operationId":"patchPtahIdentityById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EbsComponentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahIdentityDTO"}}}}}}}},"components":{"schemas":{"EbsComponentUpdateRequest":{"type":"object","properties":{"name":{"type":"string","description":"User Friendly Name"},"operation":{"type":"string","enum":["RENAME","START","STOP","RESTART"]}}},"PtahIdentityDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]}}}}
```
